LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Functions
EnvDcp.h File Reference
`#include <cppu/cppudllapi.h>`
`#include <rtl/ustring.h>`

Go to the source code of this file.

## Functions
CPPU_DLLPUBLIC void | uno_EnvDcp_getTypeName (rtl_uString const *pEnvDcp, rtl_uString **ppEnvTypeName)
| Get the OBI type part of an environment descriptor. More...
CPPU_DLLPUBLIC void | uno_EnvDcp_getPurpose (rtl_uString const *pEnvDcp, rtl_uString **ppEnvPurpose)
| Get the purpose part of an environment descriptor. More...

## Function Documentation

## ◆ uno_EnvDcp_getPurpose()

CPPU_DLLPUBLIC void uno_EnvDcp_getPurpose | ( | rtl_uString const * | pEnvDcp,
|  | rtl_uString ** | ppEnvPurpose
| ) |  |

Get the purpose part of an environment descriptor.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Descriptor)

Parameters

  pEnvDcp | the Environment Descriptor
  ppEnvPurpose | the purpose

Since
  UDK 3.2.7

## ◆ uno_EnvDcp_getTypeName()

CPPU_DLLPUBLIC void uno_EnvDcp_getTypeName | ( | rtl_uString const * | pEnvDcp,
|  | rtl_uString ** | ppEnvTypeName
| ) |  |

Get the OBI type part of an environment descriptor.

(http://wiki.openoffice.org/wiki/Uno/Binary/Spec/Environment_Descriptor)

Parameters

  pEnvDcp | the Environment Descriptor
  ppEnvTypeName | the OBI type

Since
  UDK 3.2.7